Update Document Version
Update editable field values on a specific version of a document. See also Update Single Document.
PUT
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
X-VaultAPI-MigrationMode | When set to true, Vault allows you to manually set the document number. Vault does not send notifications in Document Migration Mode. All other Document Migration Mode overrides available at document creation are ignored, but do not generate an error message. You must have the Document Migration permission to use this header. Learn more about Document Migration Mode in Vault Help |
X-VaultAPI-NoTriggers | If set to true and Document Migration Mode |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
Body Parameters
Section link for Body ParametersIn the body of the request, add any editable field values that you wish to update as name-value pairs. To remove existing field values, include the field name and set its value to null.
To find your Vault’s editable document fields, Retrieve All Document Fields configured on documents. Editable fields will have editable:true.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "language__v=English" \
-d "product__v=1357662840171" \
-d "audience__c=consumer__c" \
https://myvault.veevavault.com/api/v26.1/objects/documents/534/versions/2/0Response
Section link for Response{
"responseStatus": "SUCCESS",
"id": 534
}Response Details
Section link for Response DetailsOn SUCCESS, Vault updates field values for the specified version of the document and returns the ID of the updated document.